"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteOneProduct = exports.editOneProduct = exports.addOneProduct = exports.getOneProduct = exports.getAllProducts = void 0;
const product_record_1 = require("../records/product.record");
const getAllProducts = (req, res, next) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const products = yield product_record_1.ProductRecord.getAllProducts();
        res.status(200).send(products);
    }
    catch (err) {
        next(err);
    }
});
exports.getAllProducts = getAllProducts;
const getOneProduct = (req, res, next) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const product = yield product_record_1.ProductRecord.getOneProductDetails(req.params.id);
        res.status(200).send(product);
    }
    catch (err) {
        next(err);
    }
});
exports.getOneProduct = getOneProduct;
const addOneProduct = (req, res, next) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const newProduct = new product_record_1.ProductRecord(req.body);
        const newProductWithId = yield newProduct.insert();
        res.status(201).send(newProductWithId);
    }
    catch (err) {
        next(err);
    }
});
exports.addOneProduct = addOneProduct;
const editOneProduct = (req, res, next) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const productToEdit = yield product_record_1.ProductRecord.getOneProductDetails(req.params.id);
        productToEdit.name = req.body.name;
        productToEdit.price = req.body.price;
        yield product_record_1.ProductRecord.updateOneProduct(productToEdit);
        res.status(204).end();
    }
    catch (err) {
        next(err);
    }
});
exports.editOneProduct = editOneProduct;
const deleteOneProduct = (req, res, next) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        yield product_record_1.ProductRecord.deleteOneProduct(req.params.id);
        res.status(204).end();
    }
    catch (err) {
        next(err);
    }
});
exports.deleteOneProduct = deleteOneProduct;
//# sourceMappingURL=product.controller.js.map